[Qa-jenkins-scm] [Git][qa/jenkins.debian.net][master] rename fakeroot-foreign jobs to mmdebstrap-jenkins ones

Holger Levsen (@holger) gitlab at salsa.debian.org
Sat Sep 3 15:14:04 BST 2022



Holger Levsen pushed to branch master at Debian QA / jenkins.debian.net


Commits:
ac013dd2 by Holger Levsen at 2022-09-03T16:13:20+02:00
rename fakeroot-foreign jobs to mmdebstrap-jenkins ones

Signed-off-by: Holger Levsen <holger at layer-acht.org>

- - - - -


7 changed files:

- README.infrastructure
- bin/common-functions.sh
- − bin/fakeroot_foreign_worker.sh
- bin/jenkins_node_wrapper.sh
- + bin/mmdebstrap_jenkins_worker.sh
- hosts/common/etc/sudoers.d/jenkins
- job-cfg/fakeroot-foreign.yaml


Changes:

=====================================
README.infrastructure
=====================================
@@ -45,7 +45,7 @@ support at osuosl.org mentioning the machine name in the subject.
 
 The nodes are used for these jobs:
 
-* osuosl167: debian-janitor, fakeroot-foreign jobs and openqa
+* osuosl167: debian-janitor, mmdebstrap-jenkins jobs and openqa
 * osuosl168: fdroid
 * osuosl170: archlinux (future), alpine
 * osuosl171: openwrt, coreboot, netbsd


=====================================
bin/common-functions.sh
=====================================
@@ -236,7 +236,7 @@ jenkins_zombie_check() {
 	# related however is that I issued a reboot (via running 
 	# /sbin/reboot) right before the zombies appeared...
 	#
-	ZOMBIES="$(ls -1d /var/lib/jenkins/jobs/* | egrep 'strip-nondeterminism|reprotest|reproducible_(builder_(amd64|i386|armhf|arm64)|setup_(pbuilder|schroot)_testing)|chroot-installation_wheezy|aptdpkg|stretch_install_education-thin-client-server|jessie_multiarch_versionskew|dpkg_stretch_find_trigger_cycles|sid_install_education-services|buster_install_education-services|lvc|chroot-installation_stretch_.*_upgrade_to_sid|chroot-installation_buster_.*_upgrade_to_sid|piuparts_.*_jessie|udd_stretch|d-i_pu-build|debsums-tests_stretch|debian-archive-keyring-tests_stretch|chroot-installation_jessie|chroot-installation_.*education-lang-|kirkwoot|rebootstrap_.*_gcc[5-9]($|_)|rebootstrap_.*_gcc1[01]($|_)|brcm47xx|rebootstrap_kfreebsd|diffoscope_from_git_|disorderfs_from_git_master|diffoscope_pypi|diffoscope_freebsd|diffoscope_netbsd|diffoscope_macports|diffoscope_archlinux|openwrt-target-ath97|profitbricks|pool_buildinfos_suites|g-i-installation|reproducible_compare_Debian_sha1sums|bbx15|cb3a|ff2a|ff2b|jtk1a|jtk1b|odxu4a|odxu4b|odu3a|opi2a|opi2c|p64b|p64c|ar71xx|reproducible_debian_live_build$|chroot-installation_stretch|chroot-installation_bullseye*upgrade_to_sid|rebuilder_prototype|osuosl169' || true)"
+	ZOMBIES="$(ls -1d /var/lib/jenkins/jobs/* | egrep 'strip-nondeterminism|reprotest|reproducible_(builder_(amd64|i386|armhf|arm64)|setup_(pbuilder|schroot)_testing)|chroot-installation_wheezy|aptdpkg|stretch_install_education-thin-client-server|jessie_multiarch_versionskew|dpkg_stretch_find_trigger_cycles|sid_install_education-services|buster_install_education-services|lvc|chroot-installation_stretch_.*_upgrade_to_sid|chroot-installation_buster_.*_upgrade_to_sid|piuparts_.*_jessie|udd_stretch|d-i_pu-build|debsums-tests_stretch|debian-archive-keyring-tests_stretch|chroot-installation_jessie|chroot-installation_.*education-lang-|kirkwoot|rebootstrap_.*_gcc[5-9]($|_)|rebootstrap_.*_gcc1[01]($|_)|brcm47xx|rebootstrap_kfreebsd|diffoscope_from_git_|disorderfs_from_git_master|diffoscope_pypi|diffoscope_freebsd|diffoscope_netbsd|diffoscope_macports|diffoscope_archlinux|openwrt-target-ath97|profitbricks|pool_buildinfos_suites|g-i-installation|reproducible_compare_Debian_sha1sums|bbx15|cb3a|ff2a|ff2b|jtk1a|jtk1b|odxu4a|odxu4b|odu3a|opi2a|opi2c|p64b|p64c|ar71xx|reproducible_debian_live_build$|chroot-installation_stretch|chroot-installation_bullseye*upgrade_to_sid|rebuilder_prototype|osuosl169|fakeroot-foreign' || true)"
 	if [ ! -z "$ZOMBIES" ] ; then
 		DIRTY=true
 		figlet 'zombies!!!'


=====================================
bin/fakeroot_foreign_worker.sh deleted
=====================================
@@ -1,27 +0,0 @@
-#!/bin/bash
-
-set -exu
-
-DEBUG=true
-. /srv/jenkins/bin/common-functions.sh
-common_init "$@"
-
-REPO_URL=https://salsa.debian.org/josch/fakeroot-foreign
-
-TARGET=/srv/fakeroot-foreign
-
-sudo mkdir -p $TARGET/
-sudo chown -R jenkins:jenkins $TARGET/
-
-if [ ! -d $TARGET/fakeroot-foreign ]; then
-	git clone --recurse $REPO_URL $TARGET/fakeroot-foreign
-else
-	git -C $TARGET/fakeroot-foreign status || /bin/true
-	git -C $TARGET/fakeroot-foreign fetch
-	git -C $TARGET/fakeroot-foreign reset --hard origin/master
-	git -C $TARGET/fakeroot-foreign submodule update --init
-fi
-
-sh $TARGET/fakeroot-foreign/run.sh
-
-# vim: set sw=0 noet :


=====================================
bin/jenkins_node_wrapper.sh
=====================================
@@ -103,8 +103,8 @@ elif [ "$1" = "janitor-worker" ] ; then
 	export BUILD_URL="$2"
 	export NODE_NAME="$3"
 	shift 3; exec /srv/jenkins/bin/janitor_worker.sh ; croak "Exec failed";
-elif [ "$1" = "fakeroot-foreign-worker" ] ; then
-	shift ; exec /srv/jenkins/bin/fakeroot_foreign_worker.sh ; croak "Exec failed";
+elif [ "$1" = "mmdebstrap-jenkins-worker" ] ; then
+	shift ; exec /srv/jenkins/bin/mmdebstrap_jenkins_worker.sh ; croak "Exec failed";
 elif [ "$1" = "haskell-package-plan" ] ; then
 	shift ; exec /srv/jenkins/bin/chroot-run.sh $@ ; croak "Exec failed";
 elif [ "$1" = "/srv/jenkins/bin/reproducible_build.sh" ] && ( [ "$2" = "1" ] || [ "$2" = "2" ] ) ; then


=====================================
bin/mmdebstrap_jenkins_worker.sh
=====================================
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+set -exu
+
+DEBUG=true
+. /srv/jenkins/bin/common-functions.sh
+common_init "$@"
+
+REPO_URL=https://salsa.debian.org/josch/mmdebstrap-jenkins
+
+TARGET=/srv/mmdebstrap-jenkins
+
+sudo mkdir -p $TARGET/
+sudo chown -R jenkins:jenkins $TARGET/
+
+if [ ! -d $TARGET/mmdebstrap-jenkins ]; then
+	git clone --recurse $REPO_URL $TARGET/mmdebstrap-jenkins
+else
+	git -C $TARGET/mmdebstrap-jenkins status || /bin/true
+	git -C $TARGET/mmdebstrap-jenkins fetch
+	git -C $TARGET/mmdebstrap-jenkins reset --hard origin/master
+	git -C $TARGET/mmdebstrap-jenkins submodule update --init
+fi
+
+sh $TARGET/mmdebstrap-jenkins/run.sh
+
+# vim: set sw=0 noet :


=====================================
hosts/common/etc/sudoers.d/jenkins
=====================================
@@ -47,7 +47,7 @@ jenkins ALL=  \
 	/usr/bin/qemu-img *, \
 	/sbin/lvcreate *, /sbin/lvremove *, /sbin/lvdisplay *, \
 	/bin/mkdir -p /media/*, \
-	/bin/mkdir -p /srv/fakeroot-foreign/*, /bin/chown -R jenkins\:jenkins /srv/fakeroot-foreign/*, \
+	/bin/mkdir -p /srv/mmdebstrap-jenkins/*, /bin/chown -R jenkins\:jenkins /srv/fakeroot-foreign/*, \
 	/usr/bin/guestmount *, \
 	/bin/cp -rv /media/*, /usr/sbin/adduser jenkins docker \
 	/bin/chown -R jenkins\:jenkins /var/lib/jenkins/jobs/*, \


=====================================
job-cfg/fakeroot-foreign.yaml
=====================================
@@ -1,6 +1,6 @@
 ---
 - defaults:
-    name: fakeroot-foreign
+    name: mmdebstrap-jenkins
     project-type: freestyle
     properties:
       - sidebar:
@@ -15,7 +15,7 @@
           url: https://www.ionos.com
           text: Sponsored by IONOS
           icon: /userContent/images/ionos-24x24.png
-    description: '{my_description}<br><br>Job configuration source is <a href="https://salsa.debian.org/qa/jenkins.debian.net/blob/master/job-cfg/fakeroot-foreign.yaml">fakeroot-foreign.yaml</a>.'
+    description: '{my_description}<br><br>Job configuration source is <a href="https://salsa.debian.org/qa/jenkins.debian.net/blob/master/job-cfg/mmdebstrap-jenkins.yaml">fakeroot-foreign.yaml</a>.'
     logrotate:
       daysToKeep: 90
       numToKeep: 30
@@ -29,12 +29,12 @@
     node: 'osuosl167'
 
 - job:
-    defaults: fakeroot-foreign
-    name: fakeroot-foreign-worker
-    description: 'Re-run the fakeroot-foreign test whenever the repository changes.'
+    defaults: mmdebstrap-jenkins
+    name: mmdebstrap-jenkins-worker
+    description: 'Re-run the mmdebstrap-jenkins test whenever the repository changes.'
     scm:
       - git:
-          url: 'https://salsa.debian.org/josch/fakeroot-foreign'
+          url: 'https://salsa.debian.org/josch/mmdebstrap-jenkins'
           branches:
             - master
     triggers:
@@ -43,5 +43,5 @@
       - timed: '@daily'
 
 - project:
-    name: fakeroot-foreign
-    jobs: ['fakeroot-foreign-worker']
+    name: mmdebstrap-jenkins
+    jobs: ['mmdebstrap-jenkins-worker']



View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/-/commit/ac013dd26833c64d1084b5483505994183f7470f

-- 
View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/-/commit/ac013dd26833c64d1084b5483505994183f7470f
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/qa-jenkins-scm/attachments/20220903/ab714929/attachment-0001.htm>


More information about the Qa-jenkins-scm mailing list